<?php $__env->startSection('content'); ?>
    <div class="page-content">
        <div class="container-fluid">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="text-uppercase"><?php echo e(trans('labels.users')); ?></h5>
                <div class="d-inline-flex">
                    <form class="search-box">
                        <div class="position-relative">
                            <input type="text" id="search_user" class="form-control" placeholder="Search here">
                            <i class="fa-regular fa-magnifying-glass search-icon"></i>
                        </div>
                    </form>
                    <a href="<?php echo e(URL::to('admin/users/add')); ?>" class="btn btn-secondary px-2 d-flex">
                        <i class="fa-regular fa-plus mx-1"></i><?php echo e(trans('labels.add')); ?></a>
                </div>
            </div>
            <div class="row search_row">
                <?php if(count($userlist) > 0): ?>
                    <?php $__currentLoopData = $userlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userdata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-xl-3 col-lg-4 col-md-6 col-sm-6 mb-3" id="searchuser">
                            <div class="card border-0 box-shadow h-100">
                                <div class="card-body">
                                    <div class="d-flex justify-content-between align-items-center mb-3">
                                        <?php if($userdata->is_available == 1): ?>
                                            <a <?php if(env('Environment') == 'sendbox'): ?> onclick="myFunction()" <?php else: ?> onclick="changestatus('<?php echo e($userdata->id); ?>','2','<?php echo e(URL::to('admin/users/changestatus')); ?>')" <?php endif; ?>
                                                class="btn btn-success btn-sm"><?php echo e(trans('labels.active')); ?></a>
                                        <?php elseif($userdata->is_available == 2): ?>
                                            <a <?php if(env('Environment') == 'sendbox'): ?> onclick="myFunction()" <?php else: ?> onclick="changestatus('<?php echo e($userdata->id); ?>','1','<?php echo e(URL::to('admin/users/changestatus')); ?>')" <?php endif; ?>
                                                class="btn btn-danger btn-sm"><?php echo e(trans('labels.inactive')); ?></a>
                                        <?php endif; ?>
                                        <button class="border-0 bg-transparent" data-bs-toggle="dropdown" aria-expanded="false">
                                            <i class="fa-regular fa-ellipsis-stroke-vertical text-muted"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-end">
                                            <a href="<?php echo e(URL::to('admin/users/edit-' . $userdata->id)); ?>"class="dropdown-item py-2">
                                                <i class="fa-regular fa-pen-to-square pe-2"></i><?php echo e(trans('labels.edit')); ?>

                                            </a>
                                            <a href="<?php echo e(URL::to('admin/users/vendor_login-' . $userdata->id)); ?>" class="dropdown-item py-2">
                                                <i class="fa-regular fa-arrow-right-to-bracket pe-2"></i><?php echo e(trans('labels.vendor_login')); ?>

                                            </a>
                                            <a <?php if(env('Environment') == 'sendbox'): ?> onclick="myFunction()" <?php else: ?> onclick="deleteuser('<?php echo e($userdata->id); ?>','<?php echo e(URL::to('admin/users/deleteuser')); ?>')" <?php endif; ?> class="dropdown-item py-2">
                                                <i class="fa-regular fa-trash-can pe-2"></i><?php echo e(trans('labels.delete')); ?>

                                            </a>
                                        </div>
                                    </div>
                                    <div class="d-grid justify-items-center mb-3">
                                        <img class="border rounded-circle object-fit-cover"
                                            src="<?php echo e(helper::image_path($userdata->image)); ?>" width="70" height="70">
                                        <h4 class="mt-2" id="user_name"><?php echo e($userdata->name); ?></h4>
                                        <small class="text-break"><?php echo e($userdata->email); ?></small>
                                    </div>  
                                    <div class="d-flex justify-content-between align-items-center mb-4">
                                        <h6 class="text-capitalize"><?php echo e(trans('labels.subscription')); ?></h6>
                                        <a href="<?php echo e(URL::to('admin/plans')); ?>" class="btn btn-primary btn-sm"><?php echo e(@$userdata['plans_info']->name == "" ? '-' : $userdata['plans_info']->name); ?></a>
                                    </div>
                                    <div class="d-flex mb-5">
                                        <div class="col-6 text-center">
                                            <h6><?php echo e(count($userdata['business_count'])); ?></h6>
                                            <p class="fw-light"><?php echo e(trans('labels.business')); ?></p>
                                        </div>
                                        <div class="col-6 text-center">
                                            <h6><?php echo e(count($userdata['appointments_count'])); ?></h6>
                                            <p class="fw-light"> <?php echo e(trans('labels.appointments')); ?> </p>
                                        </div>
                                    </div>
                                    <?php if($userdata->purchase_date != ''): ?>
                                        <?php if(helper::check_plan_expire($userdata->purchase_date, $userdata['plans_info']->duration)['status'] == 2): ?>
                                            <p class="text-primary text-center"><?php echo e(trans('labels.plan_expired')); ?> :
                                                <span class="text-danger">
                                                    <?php echo e(helper::date_format(helper::check_plan_expire($userdata->purchase_date, $userdata['plans_info']->duration)['exdate'])); ?>

                                                </span>
                                            </p>
                                        <?php else: ?>
                                            <p class="text-primary text-center"><?php echo e(trans('labels.plan_expires')); ?> :
                                                <span class="text-secondary">
                                                    <?php echo e(helper::date_format(helper::check_plan_expire($userdata->purchase_date, $userdata['plans_info']->duration)['exdate'])); ?>

                                                </span>
                                            </p>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <p class="text-primary text-center text-danger">
                                            <?php echo e(trans('labels.doesnt_select_plan')); ?></p>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <img src="<?php echo e(helper::image_path('no-data.svg')); ?>" height="500">
                    <h5 class="text-center mb-3"><?php echo e(trans('labels.nodata_found')); ?></h5>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        function changestatus(id, status, url) {
            "use strict";
            const swalWithBootstrapButtons = Swal.mixin({
                customClass: {
                    confirmButton: 'btn btn-success mx-2',
                    cancelButton: 'btn btn-danger mx-2'
                },
                buttonsStyling: false
            })
            swalWithBootstrapButtons.fire({
                title: are_you_sure,
                icon: 'warning',
                confirmButtonText: yes,
                cancelButtonText: no,
                showCancelButton: true,
                reverseButtons: true
            }).then((result) => {
                $('#preloader , #status').show();
                if (result.isConfirmed) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: url,
                        data: {
                            'id': id,
                            'status': status
                        },
                        dataType: 'json',
                        success: function(response) {
                            if (response == 1) {
                                $('#preloader , #status').hide();
                                location.reload();
                            } else {
                                $('#preloader , #status').hide();
                                Swal.fire({
                                    icon: 'error',
                                    title: 'Oops...',
                                    text: wrong,
                                })
                            }
                        },
                        failure: function(response) {
                            $('#preloader , #status').hide();
                            Swal.fire({
                                icon: 'error',
                                title: 'Oops...',
                                text: wrong,
                            })
                        }
                    });
                }
                $('#preloader , #status').hide();
            })
        }
        function deleteuser(id, url) {
            "use strict";
            const swalWithBootstrapButtons = Swal.mixin({
                customClass: {
                    confirmButton: 'btn btn-success mx-2',
                    cancelButton: 'btn btn-danger mx-2'
                },
                buttonsStyling: false
            })
            swalWithBootstrapButtons.fire({
                title: are_you_sure,
                icon: 'warning',
                confirmButtonText: yes,
                cancelButtonText: no,
                showCancelButton: true,
                reverseButtons: true
            }).then((result) => {
                $('#preloader , #status').show();
                if (result.isConfirmed) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: url,
                        data: {
                            'id': id
                        },
                        dataType: 'json',
                        success: function(response) {
                            if (response == 1) {
                                $('#preloader , #status').hide();
                                location.reload();
                            } else {
                                $('#preloader , #status').hide();
                                Swal.fire({
                                    icon: 'error',
                                    title: 'Oops...',
                                    text: wrong,
                                })
                            }
                        },
                        failure: function(response) {
                            $('#preloader , #status').hide();
                            Swal.fire({
                                icon: 'error',
                                title: 'Oops...',
                                text: wrong,
                            })
                        }
                    });
                }
                $('#preloader , #status').hide();
            })
        }
    </script>
    <script>
        // live search
        $(document).ready(function() {
            "use strict";
            $("#search_user").keyup(function() {
                var value = $(this).val().toLowerCase();
                $(".search_row #searchuser").filter(function() {
                    $(this).toggle($(this).find('#user_name').text().toLowerCase().indexOf(value) > - 1)
                });
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/reisycard.com/public_html/vcard/resources/views/admin/users/users.blade.php ENDPATH**/ ?>